<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "sys/inc/$inc.php";
}

only_reg();

$set['title'] = lang('Кабинет');

require_once H . 'sys/inc/thead.php';

err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' data-toggle='tooltip' data-placement='right' title='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Кабинет');
echo "</small></div><br />";

echo "<div class='list-group-item-null'><i class='fa fa-money fa-fw'></i> " . lang('Рубли') . " <span class='badge'>$user[money]</span></div>";
echo "<div class='list-group-item-null'><i class='fa fa-bar-chart fa-fw'></i> " . lang('Активность') . " <span class='badge'>$user[activity]</span></div>";
echo "<div class='list-group-item-null'><i class='fa fa-star fa-fw'></i> " . lang('Рейтинг') . " <span class='badge'>$user[rating]</span></div>";


$q_menu = mysql_query("SELECT * FROM `umenu` ORDER BY `pos` ASC");

while ($post_menu = mysql_fetch_assoc($q_menu)) {

    if (!isset($post_menu['icon'])) {
        mysql_query('ALTER TABLE `umenu` ADD `icon` VARCHAR( 32 ) NULL DEFAULT NULL');
    }

    echo "<a class='list-group-item-null list-group-item-grey' href='$post_menu[url]'>";
    echo icons($post_menu['icon']) . lang($post_menu['name']);
    #Счетчик, если есть
    if ($post_menu['counter'] != NULL && is_file(H . $post_menu['counter'])) {
        echo '<span class="count">';
        @include H . $post_menu['counter'];
        echo '</span>';
    }

    echo "</a>";
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `umenu`"), 0);

#Если нет разделов меню
if ($k_post == 0) {
    $doc->NoResult();
} else {
    if (access('adm_umenu')) {
        echo "<a href='/panel/umenu.php?add' class='list-group-item-null list-group-item-info'><i class='fa fa-plus fa-fw'></i> " . lang('Добавить меню') . "</a>";
        echo "<a href='/panel/' class='list-group-item-null list-group-item-info'><i class='fa fa-th fa-fw'></i> " . lang('Панель управления') . "</a>";
        echo "<a href='/panel/adm_log.php?add' class='list-group-item-null list-group-item-info'><i class='fa fa-list-alt fa-fw'></i> " . lang('Действия администрации') . "</a>";
    }
}

require_once H . 'sys/inc/tfoot.php';
